=== debian/changelog ===
ros-foxy-test-rmw-implementation (1.0.3-1focal) focal; urgency=high

  * Add test to check rmw_send_response when the client is gone (#163 <https://github.com/ros2/rmw_implementation/issues/163>)
  * Contributors: José Luis Bueno López

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-test-rmw-implementation (1.0.2-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-test-rmw-implementation (1.0.1-1focal) focal; urgency=high

  * Fixed rmw_create_node arguments
  * Add fault injection tests to construction/destroy APIs.  (#144 <https://github.com/ros2/rmw_implementation/issues/144>)
  * Fixed function rmw_create_node in tests
  * Add tests bad type_support implementation (#152 <https://github.com/ros2/rmw_implementation/issues/152>)
  * Add tests for localhost-only node creation (#150 <https://github.com/ros2/rmw_implementation/issues/150>)
  * Use 10x the intraprocess delay to wait for sent requests. (#148 <https://github.com/ros2/rmw_implementation/issues/148>)
  * Added rmw_wait, rmw_create_wait_set, and rmw_destroy_wait_set tests (#139 <https://github.com/ros2/rmw_implementation/issues/139>)
  * Added rmw_service_server_is_available tests (#140 <https://github.com/ros2/rmw_implementation/issues/140>)
  * Add tests service/client request/response with bad arguments (#141 <https://github.com/ros2/rmw_implementation/issues/141>)
  * Fixed function rmw_create_node in tests
  * Added rmw_wait, rmw_create_wait_set, and rmw_destroy_wait_set tests (#139 <https://github.com/ros2/rmw_implementation/issues/139>)
  * Added test for rmw_get_serialized_message_size (#142 <https://github.com/ros2/rmw_implementation/issues/142>)
  * Add service/client construction/destruction API test coverage. (#138 <https://github.com/ros2/rmw_implementation/issues/138>)
  * Added rmw_publisher_allocation and rmw_subscription_allocation related tests (#137 <https://github.com/ros2/rmw_implementation/issues/137>)
  * Add tests take serialized with info bad arguments (#130 <https://github.com/ros2/rmw_implementation/issues/130>)
  * Add gid API test coverage. (#134 <https://github.com/ros2/rmw_implementation/issues/134>)
  * Add tests take bad arguments  (#125 <https://github.com/ros2/rmw_implementation/issues/125>)
  * Bump graph API test coverage. (#132 <https://github.com/ros2/rmw_implementation/issues/132>)
  * Add tests take sequence serialized with bad arguments (#129 <https://github.com/ros2/rmw_implementation/issues/129>)
  * Add tests take sequence + take sequence with bad arguments (#128 <https://github.com/ros2/rmw_implementation/issues/128>)
  * Add tests take with info bad arguments (#126 <https://github.com/ros2/rmw_implementation/issues/126>)
  * Add tests for non-implemented rmw_take_* functions (#131 <https://github.com/ros2/rmw_implementation/issues/131>)
  * Add tests publish serialized bad arguments (#124 <https://github.com/ros2/rmw_implementation/issues/124>)
  * Add tests publish bad arguments (#123 <https://github.com/ros2/rmw_implementation/issues/123>)
  * Add tests non-implemented functions + loan bad arguments (#122 <https://github.com/ros2/rmw_implementation/issues/122>)
  * Add missing empty topic name tests. (#136 <https://github.com/ros2/rmw_implementation/issues/136>)
  * Add rmw_get_serialization_format() smoke test. (#133 <https://github.com/ros2/rmw_implementation/issues/133>)
  * Complete publisher/subscription QoS query API test coverage. (#120 <https://github.com/ros2/rmw_implementation/issues/120>)
  * Remove duplicate assertions (#121 <https://github.com/ros2/rmw_implementation/issues/121>)
  * Add publisher/subscription matched count API test coverage. (#119 <https://github.com/ros2/rmw_implementation/issues/119>)
  * Fixed rmw_create_node
  * Add serialize/deserialize API test coverage. (#118 <https://github.com/ros2/rmw_implementation/issues/118>)
  * Add subscription API test coverage. (#117 <https://github.com/ros2/rmw_implementation/issues/117>)
  * Extend publisher API test coverage (#115 <https://github.com/ros2/rmw_implementation/issues/115>)
  * Add node construction/destruction API test coverage. (#112 <https://github.com/ros2/rmw_implementation/issues/112>)
  * Check that rmw_init() fails if no enclave is given. (#113 <https://github.com/ros2/rmw_implementation/issues/113>)
  * Add init options API test coverage. (#108 <https://github.com/ros2/rmw_implementation/issues/108>)
  * Complete init/shutdown API test coverage. (#107 <https://github.com/ros2/rmw_implementation/issues/107>)
  * Add dependency on ament_cmake_gtest (#109 <https://github.com/ros2/rmw_implementation/issues/109>)
  * Add test_rmw_implementation package. (#106 <https://github.com/ros2/rmw_implementation/issues/106>)
  * Contributors: Alejandro Hernández Cordero, Geoffrey Biggs, Jose Tomas Lorente, Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 21 Oct 2020 07:00:00 -0000
